# SettingsComponent | CICADA
Documentation for CICADA

### Hierarchy

- SettingsComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- dataSource
- date
- displayedColumns
- paginator
- sort
- trustedUsers
- userInfo

### Methods

- doFilter
- downloadCsv
- logout
- ngOnInit

## Constructors

### constructor

- new SettingsComponent(authService: AuthService ): SettingsComponent

- - Defined in src/app/pages/settings/settings.component.ts:23

  #### Parameters

  - ##### authService: AuthService

  #### Returns SettingsComponent

## Properties

### dataSource

dataSource: MatTableDataSource<any>

- Defined in src/app/pages/settings/settings.component.ts:17

### date

date: string

- Defined in src/app/pages/settings/settings.component.ts:16

### displayedColumns

displayedColumns: string[] = ...

- Defined in src/app/pages/settings/settings.component.ts:18

### paginator

paginator: MatPaginator

- Defined in src/app/pages/settings/settings.component.ts:22

### sort

sort: MatSort

- Defined in src/app/pages/settings/settings.component.ts:23

### trustedUsers

trustedUsers: Staff []

- Defined in src/app/pages/settings/settings.component.ts:19

### userInfo

userInfo: Staff

- Defined in src/app/pages/settings/settings.component.ts:20

## Methods

### doFilter

- doFilter(value: string): void

- - Defined in src/app/pages/settings/settings.component.ts:38

  #### Parameters

  - ##### value: string

  #### Returns void

### downloadCsv

- downloadCsv(): void

- - Defined in src/app/pages/settings/settings.component.ts:42

  #### Returns void

### logout

- logout(): void

- - Defined in src/app/pages/settings/settings.component.ts:46

  #### Returns void

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/settings/settings.component.ts:27

  #### Returns Promise<void>

Generated using TypeDoc